UI::Util::SysLogMonoSingleton Class Reference

Singleton class holding one SysLogMono object. More...

`#include <SysLogMono.hpp>`

Collaboration diagram for UI::Util::SysLogMonoSingleton:

## Public Member Functions

| SysLogMonoSingleton (std::string const &ident, int option, int facility)

## Static Public Member Functions

static SysLogMono & | log (int level)
| Log function; you may stream directly into the result.

## Detailed Description

Singleton class holding one SysLogMono object.

Examples
  SMLogMono.cpp.

## Constructor & Destructor Documentation

## SysLogMonoSingleton()

UI::Util::SysLogMonoSingleton::SysLogMonoSingleton | ( | std::string const & | ident,
|  | int | option,
|  | int | facility
| ) |  |

Parameters

  ident | Identifier (prefix) for the log lines.
  option | Options as described in syslog(3).
  facility | Facility as described in syslog(3).

## Member Function Documentation

## log()

SysLogMono & UI::Util::SysLogMonoSingleton::log | ( | int | level | ) |

static

Log function; you may stream directly into the result.

Parameters

  level | Log level as described in syslog(3).

Returns
  SysLogMono stream ready to stream into.

The documentation for this class was generated from the following files:

- SysLogMono.hpp
- SysLogMono.cpp